Bug 2953 - add first chunk to index page?
: add first chunk to index page?
Status: CLOSED WONTFIX
: Docs
(All bugs in Docs/xsl)
: beta
: all Linux
: P5 enhancement
Assigned To:
:
: http://docs.altlinux.ru/beta/alt/ch01...
:
:
:
  Show dependency tree
 
Reported: 2003-09-08 18:11 by
Modified: 2008-02-17 23:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-08 18:11:57
Date: Mon, 8 Sep 2003 17:31:10 +0400
From: Vitaly Ostanin
To: docs@
Subject: [docs] Re: website in cvs docs

On Mon, 8 Sep 2003 16:29:07 +0300 Michael Shigorin wrote:
> On Fri, Sep 05, 2003 at 02:35:57PM +0400, Vitaly Ostanin wrote:
> > http://docs.altlinux.ru/beta/
> Было бы шикарно иметь сразу первую часть контента под
> оглавлением(например,
> http://docs.altlinux.ru/beta/alt/ch01s01s01.html -- в
> http://docs.altlinux.ru/beta/alt/ch01s01.html).

В исходных стилях docbook очень громоздкий, сложный, и как я
подозреваю, неправильный алгоритм определения, должен ли раздел
быть отдельным chunk'ом.

То есть, если для chunk'ов пользоваться только шаблоном chunk из
chunk-common.xsl, то раздел может быть chunk'ом только в случае
chunk.first.sections=1.

Однако для html/chunk.xsl оригинальный алгоритм работает, что
наводит на мысли о продолжении алгоритма где-то в недрах.

Чтобы chunk'ование работало в website, я пока включил этот
параметр, который и приводит к отрезанию первого раздела от
оглавления.

Надо бы поправить логику в chunk-common.xsl, но это пока не
приоритетная задача.
------- Comment #1 From 2003-09-10 13:47:08 -------
Исправлю позже, когда утвердится способ навигации на docs.altlinux.ru
------- Comment #2 From 2008-02-17 21:59:44 -------
Так это ещё кому-то нужно? Доки же вроде из cvs уже не генерятся.
------- Comment #3 From 2008-02-17 23:45:44 -------
re
------- Comment #4 From 2008-02-17 23:46:15 -------
Значит, по факту WONTFIX.